<!--
/********************************************************************************
 * Copyright © 2020 Basys GmbH.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/
-->

<label class="field-label" [for]="controlId">
  <ng-content></ng-content>
</label>

<div [formGroup]="form" class="field-control">

  <textarea [id]="controlId"
            autocomplete="off"
            class="form-control"
            [formControlName]="'' + key">
  </textarea>

  <ok-error [control]="form?.get([key])"></ok-error>
</div>
